DtMmdbDlpGetNextSectionId(library call)

NAME
DtMmdbDlpGetNextSectionId — obtains the object identifier of the next section

SYNOPSIS

#include &<DtMmdb.h>
DtMmdbHandle* DtMmdbDlpGetNextSectionId(
DtMmdbInfoRequest* request);

DESCRIPTION

The DtMmdbDlpGetNextSectionId function returns the object identifier of the next section. You can use this function to traverse the TOC hierarchy in a depth-first fashion.

Use the DtMmdbFreeHandleList function to release the memory when the object identifier is no longer needed. Table lookup is involved.

ARGUMENTS

request
    Specifies the bookcase in the bookcase descriptor field, as well as the id of the current section in the primary_oid field.

RETURN VALUE

If DtMmdbDlpGetNextSectionId completes successfully, it returns a pointer to the object identifier for the next section or DtMmdbGroundId, if there is no next section. If it fails, it returns a NULL pointer.

EXAMPLE

The following shows how a DtMmdbDlpGetNextSectionId call might be coded.

DtMmdbHandle* my_oid;
DtMmdbInfoRequest request;
request.bookcase_descriptor = DtMmdbGetBookCase(myInfoLibPtr, "myBase");
request.primary_oid = my_oid;
DtMmdbHandle* x = DtMmdbDlpGetNextSectionId(&&request);
if ( x == DtMMdbGroundId) {
   /* no next section */
} else
  {
   if (x == 0) {
     /* bad request */
  }
  else
  { /* make use of x */
  }

SEE ALSO

DtMmdbDlpGetPrevSectionId(3)